accumulo-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bil...@apache.org
Subject svn commit: r1331513 - in /accumulo/branches/1.3: README pom.xml src/assemble/install-thrift-jar.sh
Date Fri, 27 Apr 2012 17:40:04 GMT
Author: billie
Date: Fri Apr 27 17:40:04 2012
New Revision: 1331513

URL: http://svn.apache.org/viewvc?rev=1331513&view=rev
Log:
ACCUMULO-563 created script and added it to the generate-resources build phase

Added:
    accumulo/branches/1.3/src/assemble/install-thrift-jar.sh   (with props)
Modified:
    accumulo/branches/1.3/README
    accumulo/branches/1.3/pom.xml

Modified: accumulo/branches/1.3/README
URL: http://svn.apache.org/viewvc/accumulo/branches/1.3/README?rev=1331513&r1=1331512&r2=1331513&view=diff
==============================================================================
--- accumulo/branches/1.3/README (original)
+++ accumulo/branches/1.3/README Fri Apr 27 17:40:04 2012
@@ -17,16 +17,12 @@ However, if you only have source code, o
 have maven configured to get Accumulo pre-requisites from repositories.  See
 the pom.xml file for the necessary components.
 
-The libthrift 0.3 jar is no longer available from a repository.  To install this jar
-into your local maven repository, run the following commands.
+The libthrift 0.3 jar is no longer available from a repository.  This jar will 
+be automatically built from the thrift tag and installed into your local maven 
+repository during the Accumulo build process via the 
+src/assemble/install-thrift-jar.sh script.
 
-svn export https://svn.apache.org/repos/asf/thrift/tags/thrift-0.3.0
-cd thrift-0.3.0/lib/java/
-ant
-mvn install:install-file -Dfile=libthrift.jar -DgroupId=org.apache.accumulo.thrift \
-   -DartifactId=libthrift -Dversion=0.3 -Dpackaging=jar
-
-Then run the following commands to build Accumulo.
+Run the following commands to build Accumulo.
 
 tar xvzf accumulo-1.3.6-SNAPSHOT-src.tar.gz
 cd accumulo-1.3.6-SNAPSHOT

Modified: accumulo/branches/1.3/pom.xml
URL: http://svn.apache.org/viewvc/accumulo/branches/1.3/pom.xml?rev=1331513&r1=1331512&r2=1331513&view=diff
==============================================================================
--- accumulo/branches/1.3/pom.xml (original)
+++ accumulo/branches/1.3/pom.xml Fri Apr 27 17:40:04 2012
@@ -331,6 +331,27 @@
           </execution>
         </executions>
       </plugin>
+      <plugin>
+        <groupId>org.codehaus.mojo</groupId>
+        <artifactId>exec-maven-plugin</artifactId>
+        <inherited>false</inherited>
+        <version>1.2</version>
+        <configuration>
+          <executable>/bin/bash</executable>
+          <arguments>
+            <argument>src/assemble/install-thrift-jar.sh</argument>
+          </arguments>
+        </configuration>
+        <executions>
+          <execution>
+            <id>thrift-jar</id>
+            <phase>generate-resources</phase>
+            <goals>
+              <goal>exec</goal>
+            </goals>
+          </execution>
+        </executions>
+      </plugin>
     </plugins>
     <pluginManagement>
       <plugins>

Added: accumulo/branches/1.3/src/assemble/install-thrift-jar.sh
URL: http://svn.apache.org/viewvc/accumulo/branches/1.3/src/assemble/install-thrift-jar.sh?rev=1331513&view=auto
==============================================================================
--- accumulo/branches/1.3/src/assemble/install-thrift-jar.sh (added)
+++ accumulo/branches/1.3/src/assemble/install-thrift-jar.sh Fri Apr 27 17:40:04 2012
@@ -0,0 +1,39 @@
+#! /bin/bash
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+fail() {
+  echo '   ' $@
+  exit 1
+}
+
+run() {
+  echo $@
+  eval $@
+  if [ $? -ne 0 ]
+  then
+    fail $@ fails
+  fi
+}
+
+runAt() {
+  ( cd $1 ; echo in `pwd`; shift ; run $@ ) || fail 
+}
+
+run svn export https://svn.apache.org/repos/asf/thrift/tags/thrift-0.3.0
+runAt thrift-0.3.0/lib/java ant
+run mvn install:install-file -Dfile=thrift-0.3.0/lib/java/libthrift.jar -DgroupId=org.apache.accumulo.thrift
-DartifactId=libthrift -Dversion=0.3 -Dpackaging=jar
+run rm -rf thrift-0.3.0

Propchange: accumulo/branches/1.3/src/assemble/install-thrift-jar.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: accumulo/branches/1.3/src/assemble/install-thrift-jar.sh
------------------------------------------------------------------------------
    svn:executable = *



Mime
View raw message